Search documentation of grizzly

# View Source Grizzly.CommandHandlers.WaitReport (grizzly v7.4.2)

This handle is useful for when you want to wait for a particular report from the Z-Wave network. Most GET commands can use this handler.

# Summary

## Types

opt()
state()

## Functions

handle_ack(state)

Callback implementation for `Grizzly.CommandHandler.handle_ack/1`.

handle_command(command, state)

Callback implementation for `Grizzly.CommandHandler.handle_command/2`.

init(opts)

Callback implementation for `Grizzly.CommandHandler.init/1`.

# Types

Link to this type

# opt()

View Source

    @type opt() :: {:complete_report, atom()}

Link to this type

# state()

View Source

    @type state() :: %{complete_report: atom()}

# Functions

Link to this function

# handle_ack(state)

View Source

    @spec handle_ack(state()) :: {:continue, state()}

Callback implementation for `Grizzly.CommandHandler.handle_ack/1`.

Link to this function

# handle_command(command, state)

View Source

    @spec handle_command(Grizzly.ZWave.Command.t(), state()) ::
      {:continue, state()} | {:complete, Grizzly.ZWave.Command.t()}

Callback implementation for `Grizzly.CommandHandler.handle_command/2`.

Link to this function

# init(opts)

View Source

    @spec init([opt()]) :: {:ok, state()}

Callback implementation for `Grizzly.CommandHandler.init/1`.